org.apache.lucene.codecs.cheapbastard

## Class CheapBastardCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.cheapbastard.CheapBastardCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class CheapBastardCodec
    extends FilterCodec

Codec that tries to use as little ram as possible because he spent all his money on beer

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`CheapBastardCodec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PostingsFormat` `postingsFormat()`

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`compoundFormat, docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, pointsFormat, segmentInfoFormat, storedFieldsFormat, termVectorsFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CheapBastardCodec

    public CheapBastardCodec()

### Method Detail

#### postingsFormat

    public PostingsFormat postingsFormat()

Overrides:
  `postingsFormat` in class `FilterCodec`